## NAS Network Time indication NAS Network Time indication |

## Functions

QmiIndicationNasNetworkTimeOutput * | qmi_indication_nas_network_time_output_ref ()
void | qmi_indication_nas_network_time_output_unref ()
gboolean | qmi_indication_nas_network_time_output_get_radio_interface ()
gboolean | qmi_indication_nas_network_time_output_get_daylight_savings_adjustment ()
gboolean | qmi_indication_nas_network_time_output_get_timezone_offset ()
gboolean | qmi_indication_nas_network_time_output_get_universal_time ()

## Types and Values

| QmiIndicationNasNetworkTimeOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationNasNetworkTimeOutput

## Description

## Functions

### qmi_indication_nas_network_time_output_ref ()

    QmiIndicationNasNetworkTimeOutput *
    qmi_indication_nas_network_time_output_ref
                                   (QmiIndicationNasNetworkTimeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationNasNetworkTimeOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_indication_nas_network_time_output_unref ()

    void
    qmi_indication_nas_network_time_output_unref
                                   (QmiIndicationNasNetworkTimeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationNasNetworkTimeOutput. |

Since: 1.0

### qmi_indication_nas_network_time_output_get_radio_interface ()

    gboolean
    qmi_indication_nas_network_time_output_get_radio_interface
                                   (QmiIndicationNasNetworkTimeOutput *self,
                                    QmiNasRadioInterface *value_radio_interface,
                                    GError **error);

Get the 'Radio Interface' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkTimeOutput. |
value_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.4

### qmi_indication_nas_network_time_output_get_daylight_savings_adjustment ()

    gboolean
    qmi_indication_nas_network_time_output_get_daylight_savings_adjustment
                                   (QmiIndicationNasNetworkTimeOutput *self,
                                    QmiNasDaylightSavingsAdjustment *value_daylight_savings_adjustment,
                                    GError **error);

Get the 'Daylight Savings Adjustment' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkTimeOutput. |
value_daylight_savings_adjustment | a placeholder for the output QmiNasDaylightSavingsAdjustment, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.4

### qmi_indication_nas_network_time_output_get_timezone_offset ()

    gboolean
    qmi_indication_nas_network_time_output_get_timezone_offset
                                   (QmiIndicationNasNetworkTimeOutput *self,
                                    gint8 *value_timezone_offset,
                                    GError **error);

Get the 'Timezone Offset' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkTimeOutput. |
value_timezone_offset | a placeholder for the output gint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.4

### qmi_indication_nas_network_time_output_get_universal_time ()

    gboolean
    qmi_indication_nas_network_time_output_get_universal_time
                                   (QmiIndicationNasNetworkTimeOutput *self,
                                    guint16 *value_universal_time_year,
                                    guint8 *value_universal_time_month,
                                    guint8 *value_universal_time_day,
                                    guint8 *value_universal_time_hour,
                                    guint8 *value_universal_time_minute,
                                    guint8 *value_universal_time_second,
                                    QmiNasDayOfWeek *value_universal_time_day_of_week,
                                    GError **error);

Get the 'Universal Time' field from `self` .

#### Parameters

self | a QmiIndicationNasNetworkTimeOutput. |
value_universal_time_year | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_universal_time_month | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_universal_time_day | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_universal_time_hour | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_universal_time_minute | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_universal_time_second | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_universal_time_day_of_week | a placeholder for the output QmiNasDayOfWeek, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.4

## Types and Values

### QmiIndicationNasNetworkTimeOutput

    typedef struct _QmiIndicationNasNetworkTimeOutput QmiIndicationNasNetworkTimeOutput;

The QmiIndicationNasNetworkTimeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0